Skip to main content
PUT
Replace exclusive sponsored brand campaign bids.

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Parâmetros de caminho

campaign_id
string<uuid>
obrigatório

The ID of the campaign.

Parâmetros de consulta

vendor_id
string
obrigatório

The ID of the vendor.

Minimum string length: 1

Corpo

application/json

Request body for replacing public exclusive sponsored brand bids.

bids
PublicCreateSponsoredBrandBid · object[]
obrigatório

An array of bids for this campaign.

Required array length: 1 - 500 elements
slotId
string
obrigatório

The external slot ID where the exclusive sponsored brand campaign is shown.

Minimum string length: 1
content
Content · object
obrigatório

Dynamic content validated against the slot's JSON template.

position
integer | null

The rank the ad will have in the auction. Omit it to keep the campaign's current rank.

Intervalo necessário: 1 <= x <= 20

Resposta

Successful Response